IndexDecoder
Date: 2017-02-08

org.tukaani.xz.index

## Class IndexDecoder

- java.lang.Object
- - org.tukaani.xz.index.IndexDecoder

-     public class IndexDecoder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexDecoder(SeekableInputStream in, StreamFlags streamFooterFlags, long streamPadding, int memoryLimit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getIndexSize()`
    `long` | `getLargestBlockSize()`
    `int` | `getMemoryUsage()`
    `int` | `getRecordCount()`
    `StreamFlags` | `getStreamFlags()`
    `long` | `getStreamSize()`
    `long` | `getUncompressedSize()`
    `boolean` | `hasRecord(int blockNumber)`
    `boolean` | `hasUncompressedOffset(long pos)`
    `void` | `locateBlock(BlockInfo info, long target)`
    `void` | `setBlockInfo(BlockInfo info, int blockNumber)`
    `void` | `setOffsets(IndexDecoder prev)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexDecoder

          public IndexDecoder(SeekableInputStream in,
                      StreamFlags streamFooterFlags,
                      long streamPadding,
                      int memoryLimit)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### setOffsets

          public void setOffsets(IndexDecoder prev)

    - #### getMemoryUsage

          public int getMemoryUsage()

    - #### getStreamFlags

          public StreamFlags getStreamFlags()

    - #### getRecordCount

          public int getRecordCount()

    - #### getUncompressedSize

          public long getUncompressedSize()

    - #### getLargestBlockSize

          public long getLargestBlockSize()

    - #### hasUncompressedOffset

          public boolean hasUncompressedOffset(long pos)

    - #### hasRecord

          public boolean hasRecord(int blockNumber)

    - #### locateBlock

          public void locateBlock(BlockInfo info,
                         long target)

    - #### setBlockInfo

          public void setBlockInfo(BlockInfo info,
                          int blockNumber)

    - #### getIndexSize

          public long getIndexSize()

    - #### getStreamSize

          public long getStreamSize()